This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 750632 - (CVE-2011-4091) CVE-2011-4091 net6: user information exposure flaw
CVE-2011-4091 net6: user information exposure flaw
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111030,repor...
: Security
Depends On: 750633 750634
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 16:25 EDT by Vincent Danen
Modified: 2011-11-24 21:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-11-01 16:25:18 EDT
Vasiliy Kulikov reported [1] that libnet6 would check for user color collisions prior to authentication.  This could allow for the disclosure of certain user information by users that were not authenticated.

This has been corrected in git [2].

[1] http://www.openwall.com/lists/oss-security/2011/10/30/3
[2] http://git.0x539.de/?p=net6.git;a=commitdiff;h=84afca022f063f89bfcd4bb32b1ee911f555abf1;hp=ac61d7fb42a1f977fb527e024bede319c4a9e169
Comment 1 Vincent Danen 2011-11-01 16:26:46 EDT
Created net6 tracking bugs for this issue

Affects: fedora-all [bug 750633]
Affects: epel-all [bug 750634]
Comment 2 Fedora Update System 2011-11-24 21:04:53 EST
net6-1.3.14-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2011-11-24 21:04:57 EST
net6-1.3.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2011-11-24 21:06:40 EST
net6-1.3.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-11-24 21:12:29 EST
net6-1.3.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-11-24 21:16:54 EST
net6-1.3.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.